Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui
Interface ILaunchGroup

public interface ILaunchGroup

A launch group identifies a group of launch configurations by a launch mode and cateogory. The launch configuration dialog can be opened on a launch group, and a launch history is maintained for each group. A launch group is defined in plug-in XML via the `launchGroups` extension point.

Following is an example of a launch group contribution:

     	<extension point="org.eclipse.debug.ui.launchGroups">
     		<launchGroup
     			  id="com.example.ExampleLaunchGroupId"
     			  mode="run"
     			  label="Run"
     			  image="icons\run.gif"
     			  bannerImage="icons\runBanner.gif">
     		</launchGroup>
     	</extension>

Since:
  3.0

Method Summary
`ImageDescriptor` | `getBannerImageDescriptor()` Returns the banner image for this launch group, or `null` if none
`String` | `getCategory()` Returns the category for this launch group, possibly `null`
`String` | `getIdentifier()` Returns the id for this launch group
`ImageDescriptor` | `getImageDescriptor()` Returns the image for this launch group, or `null` if none.
`String` | `getLabel()` Returns the label for this launch group
`String` | `getMode()` Returns the mode for this launch group
`boolean` | `isPublic()` Returns whether this launch group is public

Method Detail

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Returns the image for this launch group, or `null` if none.

  Returns:
    the image for this launch group, or `null` if none

### getBannerImageDescriptor

    public ImageDescriptor getBannerImageDescriptor()

  Returns the banner image for this launch group, or `null` if none

  Returns:
    the banner image for this launch group, or `null` if none

### getLabel

    public String getLabel()

  Returns the label for this launch group

  Returns:
    the label for this launch group

### getIdentifier

    public String getIdentifier()

  Returns the id for this launch group

  Returns:
    the id for this launch group

### getCategory

    public String getCategory()

  Returns the category for this launch group, possibly `null`

  Returns:
    the category for this launch group, possibly `null`

### getMode

    public String getMode()

  Returns the mode for this launch group

  Returns:
    the mode for this launch group

### isPublic

    public boolean isPublic()

  Returns whether this launch group is public

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.